<?php

function onetake_setup(){
	global $content_width;
	$lang = get_template_directory(). '/languages';
	load_theme_textdomain('onetake', $lang);
	add_theme_support( 'post-thumbnails' ); 
	$args = array();
	$header_args = array( 
	    'default-image'          => '',
		'default-repeat' => 'no-repeat',
        'default-text-color'     => '',
		'url'                    => '',
        'width'                  => 1920,
        'height'                 => 89,
        'flex-height'            => true
     );
	add_theme_support( 'custom-background', $args );
	add_theme_support( 'custom-header', $header_args );
	add_theme_support( 'automatic-feed-links' );
	add_theme_support('nav_menus');
	add_theme_support( "title-tag" );
	register_nav_menus( array('primary' => __( 'Primary Menu', 'onetake' )));
	register_nav_menus( array('onepage' => __( 'One Page Menu', 'onetake' )));
	add_editor_style("editor-style.css");
	if ( !isset( $content_width ) ) $content_width = 1170;
}

add_action( 'after_setup_theme', 'onetake_setup' );


 function onetake_custom_scripts(){
	 global $is_IE;
	wp_enqueue_style('onetake-bootstrap',  get_template_directory_uri() .'/css/bootstrap.css', false, '4.0.3', false);
	wp_enqueue_style('onetake-font-awesome',  get_template_directory_uri() .'/css/font-awesome.min.css', false, '4.1.0', false);
	wp_enqueue_style('onetake-PT-Sans',  esc_url('//fonts.googleapis.com/css?family=PT+Sans:400,700,400italic,700italic'), false, '', false);
	wp_enqueue_style( 'onetake-main', get_stylesheet_uri(), array(), '1.0.0' );

 
	wp_enqueue_script( 'onetake-bootstrap', get_template_directory_uri().'/js/bootstrap.min.js', array( 'jquery' ), '3.0.3', false );
	wp_enqueue_script( 'onetake-respond', get_template_directory_uri().'/js/respond.min.js', array( 'jquery' ), '1.4.2', false );
	wp_enqueue_script( 'onetake-nav', get_template_directory_uri().'/js/jquery.nav.js', array( 'jquery' ), '3.0.0', false );
	wp_enqueue_script( 'onetake-modernizr', get_template_directory_uri().'/js/modernizr.custom.js', array( 'jquery' ), '2.8.2', false );
	wp_enqueue_script( 'onetake-main', get_template_directory_uri().'/js/common.js', array( 'jquery' ), '1.0.0', true );
	

	if( $is_IE ) {
	wp_enqueue_script( 'onetake-html5', get_template_directory_uri().'/js/html5.js', array( 'jquery' ), '', false );
	}
	
		wp_localize_script( 'onetake-main', 'onetake_params',  array(
			'ajaxurl'  => admin_url('admin-ajax.php'),
			'themeurl' => get_template_directory_uri(),
		)  );

	
	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ){wp_enqueue_script( 'comment-reply' );}
	
    $onetake_custom_css = "";
    $header_image       = get_header_image();
	if (isset($header_image) && ! empty( $header_image )) {
	$onetake_custom_css .= "header#ot-head-container{background:url(".$header_image. ");}\n";
	}
    if ( 'blank' != get_header_textcolor() && '' != get_header_textcolor() ){
     $header_textcolor    =  ' color:#' . get_header_textcolor() . ';';
	 $onetake_custom_css .=  'header#ot-head-container .name-box .site-name,header#ot-head-container .name-box .site-tagline {'.$header_textcolor.'}';
		}
	$nav_menu_color       = of_get_option('nav_menu_color');
	if( $nav_menu_color )
	$onetake_custom_css  .=  'header#ot-head-container nav > ul > li > a{color:'.$nav_menu_color.';}';
	$custom_css           =  of_get_option("custom_css");
	$onetake_custom_css  .=  $custom_css;
	wp_add_inline_style( 'onetake-main', $onetake_custom_css );
	
	}

  function onetake_admin_scripts(){
	wp_enqueue_style('onetake-admin',  get_template_directory_uri() .'/css/admin.css', false, '1.0.0', false);
	wp_enqueue_script( 'onetake-admin', get_template_directory_uri().'/js/admin.js', array( 'jquery' ), '1.0.0', true );
  }
   if (!is_admin()) {
  add_action( 'wp_enqueue_scripts', 'onetake_custom_scripts' );
  }
  else{
   add_action( 'admin_enqueue_scripts', 'onetake_admin_scripts' );
	  }

